> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hotglue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch queued jobs

> Returns queued jobs for a specific environment, flow, and user/tenant.



## OpenAPI

````yaml get /{env_id}/{flow}/{user_id}/jobs/queued
openapi: 3.1.0
info:
  title: hotglue API
  version: '1.2'
servers:
  - url: https://api.hotglue.com
security:
  - sec0: []
paths:
  /{env_id}/{flow}/{user_id}/jobs/queued:
    get:
      summary: Fetch queued jobs
      description: Returns queued jobs for a specific environment, flow, and user/tenant.
      operationId: queued-jobs-retrieve
      parameters:
        - name: env_id
          in: path
          description: ID of environment
          schema:
            type: string
          required: true
        - name: flow
          in: path
          description: ID of flow
          schema:
            type: string
          required: true
        - name: user_id
          in: path
          description: ID of user/tenant
          schema:
            type: string
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    queued_jobs:
                      - id: 101
                        env_id: test-env
                        tenant_id: tenant-123
                        flow_id: customer-sync
                        status: QUEUED
                        created_at: '2026-01-02T03:04:05+00:00'
                        updated_at: '2026-01-02T03:05:06+00:00'
                        job_name: Nightly customer sync
                        override_start_date: '2026-01-01T00:00:00Z'
                        override_end_date: null
                        override_selected_tables:
                          customer: true
                          orders: false
                        override_field_map: null
                        override_env_vars:
                          DEBUG: 'true'
                        override_source_config: null
                        override_target_config: null
                        override_connector_config: null
                        override_lifecycle_webhook:
                          url: https://example.com
                          secret: some-secret
              schema:
                $ref: '#/components/schemas/QueuedJobsResponse'
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: {}
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  schemas:
    QueuedJobsResponse:
      type: object
      required:
        - queued_jobs
      properties:
        queued_jobs:
          type: array
          items:
            $ref: '#/components/schemas/QueuedJob'
    QueuedJob:
      type: object
      required:
        - id
        - env_id
        - tenant_id
        - flow_id
        - status
        - created_at
        - updated_at
      properties:
        id:
          type: integer
          example: 101
        env_id:
          type: string
          example: test-env
        tenant_id:
          type: string
          example: tenant-123
        flow_id:
          type: string
          example: customer-sync
        status:
          type: string
          example: QUEUED
        created_at:
          type: string
          format: date-time
          example: '2026-01-02T03:04:05+00:00'
        updated_at:
          type: string
          format: date-time
          example: '2026-01-02T03:05:06+00:00'
        job_name:
          type:
            - string
            - 'null'
          example: Nightly customer sync
        override_start_date:
          type:
            - string
            - 'null'
          example: '2026-01-01T00:00:00Z'
        override_end_date:
          type:
            - string
            - 'null'
          example: '2026-01-01T00:00:00Z'
        override_selected_tables:
          type:
            - object
            - 'null'
          additionalProperties:
            type: boolean
          example:
            customer: true
            orders: false
        override_field_map:
          type:
            - object
            - 'null'
          additionalProperties: true
          example: null
        override_env_vars:
          type:
            - object
            - 'null'
          additionalProperties: true
          example:
            DEBUG: 'true'
        override_source_config:
          type:
            - object
            - 'null'
          additionalProperties: true
          example: null
        override_target_config:
          type:
            - object
            - 'null'
          additionalProperties: true
          example: null
        override_connector_config:
          type:
            - object
            - 'null'
          additionalProperties: true
          example: null
        override_lifecycle_webhook:
          type:
            - object
            - 'null'
          properties:
            url:
              type: string
              description: The URL to send lifecycle webhooks to.
              example: https://example.com
            secret:
              type: string
              description: An optional secret to include with the webhook for verification.
              example: some-secret
          required:
            - url
          description: >-
            If present, this must be an object containing a required 'url'
            field. Set to null to remove.
          example:
            url: https://example.com
            secret: some-secret
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: x-api-key

````